%define module	Apache-Gallery
%define version	0.7
%define release	4mdk
#New ADVX macros
%{expand:%(cat  %{_datadir}/ADVX/ADVX-build)}

Name:		perl-%{module}
Version:	%{version}
Release:	%{release}
Summary:	mod_perl handler to create an image gallery
License:	GPL or Artistic
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRoot:	%{_tmppath}/%{name}-buildroot/
BuildRequires:	perl-devel
BuildRequires:	perl-libapreq
BuildRequires:	perl-Image-Imlib2
BuildRequires:	perl-Image-Info
BuildRequires:	perl-CGI-FastTemplate
BuildRequires:	ADVX-build >= 1.2
BuildArch:	noarch

%description
Apache::Gallery creates an thumbnail index of each directory and
allows viewing pictures in different resolutions. Pictures are
resized on the fly and cached.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/gallery
cp -r templates/* $RPM_BUILD_ROOT%{_datadir}/gallery
install -d -m 755 $RPM_BUILD_ROOT%{ap_datadir}/icons
cp htdocs/* $RPM_BUILD_ROOT%{ap_datadir}/icons
cd $RPM_BUILD_ROOT%{ap_datadir}/icons && mv c.png gallery-c.png

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Changes INSTALL LICENSE TODO UPGRADE
%{perl_vendorlib}/Apache
%{_datadir}/gallery
%{ap_datadir}/icons/*
%{_mandir}/*/*

%changelog
* Wed Feb 25 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.7-4mdk
- fixed dir ownership (distlint)

* Mon Jan 12 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.7-3mdk
- buildrequires (slbd)

* Mon Dec 08 2003 Guillaume Rousse <guillomovitch@mandrake.org> 0.7-2mdk
- included missing templates and icons

* Mon Dec 08 2003 Guillaume Rousse <guillomovitch@mandrake.org> 0.7-1mdk
- first mdk release
